WordPress.org

Support

Support » Installation » Problem upgrade

Problem upgrade

  • Born2kill

    @born2kill

    Hi, im upgrading from wordpress 2.2.2 to the lastest version and i get this error

    Fatal error: Call to undefined function: stripos() in /home/xxxxx/public_html/xxxxxx/wp-includes/query.php on line 37

    Thanks

Viewing 6 replies - 1 through 6 (of 6 total)
  • intoxination

    @intoxination

    Make sure the file /wp-includes/compat.php is uploaded (maybe try reuploading it). Also try reuploading your /wp-settings.php file.

    I just stumbled upon the same problem. Here’s a guide that I hereby commit to let others get help, just remember to back-up your files first! The same goes about your WP-database, of course.

    1. Delete \wp-admin and \wp-includes.
    2. Delete every file in the root, that starts with “wp”, except for wp-config.php.
    3. Upload the WordPress 2.3-folders and files for wp-admin and wp-includes, followed by all the files in the root.
    4. Go to http://your_domain/wp-admin/upgrade.php and follow the instructions.

    Presto! Now your database should be updated and WordPress 2.3 up and running!

    Jeremy Clark

    @jeremyclark13

    Member

    Looks like a very short version of this. If people would only read.

    I have this same problem. I’ve reuploaded compat.php and wp-settings.php (more than once). They show that they’re there.

    I’m on wp 2.3.3

    Warning: require(/home/beadner/public_html/gal-lori/wp-includes/compat.php) [function.require]: failed to open stream: No such file or directory in /home/beadner/public_html/gal-lori/wp-settings.php on line 117

    Fatal error: require() [function.require]: Failed opening required ‘/home/beadner/public_html/gal-lori/wp-includes/compat.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/beadner/public_html/gal-lori/wp-settings.php on line 117

    Help please.
    http://gal-lori.com

    I’m reuploading wp-admin and wp-includes to make sure everthing else is there.

    I’m ok now.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Problem upgrade’ is closed to new replies.